routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');




Route::resource('kategoris', App\Http\Controllers\KategoriController::class);


Route::resource('produks', App\Http\Controllers\ProdukController::class);
Route::prefix('produks')->group(function () {
    Route::post('/add_stock', [App\Http\Controllers\ProdukController::class, 'add_stock'])->name('produks.add_stock');
    Route::get('/harga_jual/{id}', [App\Http\Controllers\ProdukController::class, 'harga_jual'])->name('produks.harga_jual');
    Route::post('/harga_jual/{id}', [App\Http\Controllers\ProdukController::class, 'update_harga_jual'])->name('produks.harga_jual.update');
});

Route::resource('detailUkuranProduks', App\Http\Controllers\DetailUkuranProdukController::class);


Route::resource('roles', App\Http\Controllers\RoleController::class);


Route::resource('karyawans', App\Http\Controllers\KaryawanController::class);
Route::prefix('karyawan')->group(
    function () {
        Route::get('/login', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'getLogin'])->name('karyawan.login');
        Route::post('/login', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'postLogin'])->name('karyawan.post.login');
        Route::post('/logout', [App\Http\Controllers\Auth\KaryawanAuthController::class, 'postLogout'])->name('karyawan.logout');
    }
);

Route::resource('pelanggans', App\Http\Controllers\PelangganController::class);


Route::resource('tagihanans', App\Http\Controllers\TagihananController::class);


Route::resource('keuanganKeluars', App\Http\Controllers\KeuanganKeluarController::class);
Route::prefix('keuanganKeluars')->group(function () {
    Route::post('/validasi/{id}', [App\Http\Controllers\KeuanganKeluarController::class, 'validasi'])->name('keuanganKeluars.validasi');
});

Route::resource('transaksis', App\Http\Controllers\TransaksiController::class);


Route::resource('detailTransaksis', App\Http\Controllers\DetailTransaksiController::class);


Route::resource('detailPembayarans', App\Http\Controllers\DetailPembayaranController::class);


Route::resource('detailBeliProduks', App\Http\Controllers\DetailBeliProdukController::class);


Route::resource('keranjangs', App\Http\Controllers\KeranjangController::class);
Route::prefix('jurnal_harian')->group(function () {
    Route::get('/', [App\Http\Controllers\JurnalHarianController::class, 'index'])->name('jurnal_harian.index');
    Route::get('/keuangan_masuk', [App\Http\Controllers\JurnalHarianController::class, 'keuangan_masuk'])->name('jurnal_harian.keuangan_masuk');
    Route::post('/', [App\Http\Controllers\JurnalHarianController::class, 'store'])->name('jurnal_harian.store');
});
Route::prefix('laporan')->group(function () {
    Route::get('/', [App\Http\Controllers\LaporanController::class, 'index'])->name('laporan.index');
});

app/Models/DetailPembayaran.php
<?php

namespace App\Models;

use Eloquent as Model;

use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class DetailPembayaran
 * @package App\Models
 * @version July 21, 2022, 2:43 pm UTC
 *
 * @property unsignedBigInteger $transaksi_id
 * @property string $nama
 * @property string $bank
 * @property integer $jumlah
 * @property string $tanggal
 * @property string $bukti
 * @property boolean $validasi
 */
class DetailPembayaran extends Model
{

    use HasFactory;

    public $table = 'detail_pembayarans';




    public $fillable = [
        'transaksi_id',
        'nama',
        'bank',
        'jumlah',
        'tanggal',
        'bukti',
        'validasi'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'nama' => 'string',
        'bank' => 'string',
        'jumlah' => 'integer',
        'tanggal' => 'date',
        'bukti' => 'string',
        'validasi' => 'boolean'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'transaksi_id' => 'required',
        'nama' => 'required',
        'bank' => 'required',
        'jumlah' => 'required:integer',
        'tanggal' => 'required|date',
        'bukti' => 'required|file'
    ];
    /**
     * Get the transaksi that owns the DetailPembayaran
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function transaksi(): BelongsTo
    {
        return $this->belongsTo(Transaksi::class,'transaksi_id');
    }


}

app/Http/Controllers/DetailPembayaranController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CreateDetailPembayaranRequest;
use App\Http\Requests\UpdateDetailPembayaranRequest;
use App\Http\Controllers\AppBaseController;
use App\Models\DetailPembayaran;
use App\Models\Transaksi;
use Illuminate\Http\Request;
use Flash;
use Response;

class DetailPembayaranController extends AppBaseController
{
    /**
     * Display a listing of the DetailPembayaran.
     *
     * @param Request $request
     *
     * @return Response
     */
    public function index(Request $request)
    {
        /** @var DetailPembayaran $detailPembayarans */
        $detailPembayarans = DetailPembayaran::all();

        return view('detail_pembayarans.index')
            ->with('detailPembayarans', $detailPembayarans);
    }

    /**
     * Show the form for creating a new DetailPembayaran.
     *
     * @return Response
     */
    public function create()
    {
        $transaksis = Transaksi::pluck('id', 'id');
        return view('detail_pembayarans.create',compact('transaksis'));
    }

    /**
     * Store a newly created DetailPembayaran in storage.
     *
     * @param CreateDetailPembayaranRequest $request
     *
     * @return Response
     */
    public function store(CreateDetailPembayaranRequest $request)
    {
        $input = $request->all();

        /** @var DetailPembayaran $detailPembayaran */
        $detailPembayaran = DetailPembayaran::create($input);

        Flash::success('Detail Pembayaran saved successfully.');

        return redirect(route('detailPembayarans.index'));
    }

    /**
     * Display the specified DetailPembayaran.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        /** @var DetailPembayaran $detailPembayaran */
        $detailPembayaran = DetailPembayaran::find($id);

        if (empty($detailPembayaran)) {
            Flash::error('Detail Pembayaran not found');

            return redirect(route('detailPembayarans.index'));
        }

        return view('detail_pembayarans.show')->with('detailPembayaran', $detailPembayaran);
    }

    /**
     * Show the form for editing the specified DetailPembayaran.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        /** @var DetailPembayaran $detailPembayaran */
        $detailPembayaran = DetailPembayaran::find($id);

        if (empty($detailPembayaran)) {
            Flash::error('Detail Pembayaran not found');

            return redirect(route('detailPembayarans.index'));
        }
        $transaksis = Transaksi::pluck('id', 'id');

        return view('detail_pembayarans.edit',compact('transaksis'))->with('detailPembayaran', $detailPembayaran);
    }

    /**
     * Update the specified DetailPembayaran in storage.
     *
     * @param int $id
     * @param UpdateDetailPembayaranRequest $request
     *
     * @return Response
     */
    public function update($id, UpdateDetailPembayaranRequest $request)
    {
        /** @var DetailPembayaran $detailPembayaran */
        $detailPembayaran = DetailPembayaran::find($id);

        if (empty($detailPembayaran)) {
            Flash::error('Detail Pembayaran not found');

            return redirect(route('detailPembayarans.index'));
        }

        $detailPembayaran->fill($request->all());
        $detailPembayaran->save();

        Flash::success('Detail Pembayaran updated successfully.');

        return redirect(route('detailPembayarans.index'));
    }

    /**
     * Remove the specified DetailPembayaran from storage.
     *
     * @param int $id
     *
     * @throws \Exception
     *
     * @return Response
     */
    public function destroy($id)
    {
        /** @var DetailPembayaran $detailPembayaran */
        $detailPembayaran = DetailPembayaran::find($id);

        if (empty($detailPembayaran)) {
            Flash::error('Detail Pembayaran not found');

            return redirect(route('detailPembayarans.index'));
        }

        $detailPembayaran->delete();

        Flash::success('Detail Pembayaran deleted successfully.');

        return redirect(route('detailPembayarans.index'));
    }
}

resources/views/detail_pembayarans/create.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Create Detail Pembayaran</h1>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('adminlte-templates::common.errors')

        <div class="card">

            {!! Form::open(['route' => 'detailPembayarans.store', 'files' => true]) !!}

            <div class="card-body">

                <div class="row">
                    @include('detail_pembayarans.fields')
                </div>

            </div>

            <div class="card-footer">
                {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
                <a href="{{ route('detailPembayarans.index') }}" class="btn btn-default">Cancel</a>
            </div>

            {!! Form::close() !!}

        </div>
    </div>
@endsection

resources/views/detail_pembayarans/edit.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Edit Detail Pembayaran</h1>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('adminlte-templates::common.errors')

        <div class="card">

            {!! Form::model($detailPembayaran, ['route' => ['detailPembayarans.update', $detailPembayaran->id], 'method' => 'patch', 'files' => true]) !!}

            <div class="card-body">
                <div class="row">
                    @include('detail_pembayarans.fields')
                </div>
            </div>

            <div class="card-footer">
                {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
                <a href="{{ route('detailPembayarans.index') }}" class="btn btn-default">Cancel</a>
            </div>

            {!! Form::close() !!}

        </div>
    </div>
@endsection

resources/views/detail_pembayarans/fields.blade.php
<!-- Transaksi Id Field -->
<div class="form-group col-sm-6">
    {!! Form::label('transaksi_id', 'Transaksi Id:') !!}
    {!! Form::select('transaksi_id', $transaksis, null, ['class' => 'form-control custom-select']) !!}
</div>


<!-- Nama Field -->
<div class="form-group col-sm-6">
    {!! Form::label('nama', 'Nama:') !!}
    {!! Form::text('nama', null, ['class' => 'form-control']) !!}
</div>

<!-- Bank Field -->
<div class="form-group col-sm-6">
    {!! Form::label('bank', 'Bank:') !!}
    {!! Form::text('bank', null, ['class' => 'form-control']) !!}
</div>

<!-- Jumlah Field -->
<div class="form-group col-sm-6">
    {!! Form::label('jumlah', 'Jumlah:') !!}
    {!! Form::number('jumlah', null, ['class' => 'form-control']) !!}
</div>

<!-- Tanggal Field -->
<div class="form-group col-sm-6">
    {!! Form::label('tanggal', 'Tanggal:') !!}
    {!! Form::text('tanggal', null, ['class' => 'form-control', 'id' => 'tanggal']) !!}
</div>

@push('page_scripts')
    <script type="text/javascript">
        $('#tanggal').datetimepicker({
            format: 'YYYY-MM-DD HH:mm:ss',
            useCurrent: true,
            sideBySide: true
        })
    </script>
@endpush

<!-- Bukti Field -->
<div class="form-group col-sm-6">
    {!! Form::label('bukti', 'Bukti:') !!}
    <div class="input-group">
        <div class="custom-file">
            {!! Form::file('bukti', ['class' => 'custom-file-input']) !!}
            {!! Form::label('bukti', 'Choose file', ['class' => 'custom-file-label']) !!}
        </div>
    </div>
</div>
<div class="clearfix"></div>

resources/views/detail_pembayarans/index.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Detail Pembayarans</h1>
                </div>
                <div class="col-sm-6">
                    <a class="btn btn-primary float-right"
                       href="{{ route('detailPembayarans.create') }}">
                        Add New
                    </a>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">

        @include('flash::message')

        <div class="clearfix"></div>

        <div class="card">
            <div class="card-body p-0">
                @include('detail_pembayarans.table')

                <div class="card-footer clearfix">
                    <div class="float-right">
                        
                    </div>
                </div>
            </div>

        </div>
    </div>

@endsection

resources/views/detail_pembayarans/show.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Detail Pembayaran Details</h1>
                </div>
                <div class="col-sm-6">
                    <a class="btn btn-default float-right"
                       href="{{ route('detailPembayarans.index') }}">
                        Back
                    </a>
                </div>
            </div>
        </div>
    </section>

    <div class="content px-3">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    @include('detail_pembayarans.show_fields')
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/detail_pembayarans/show_fields.blade.php
<!-- Transaksi Id Field -->
<div class="col-sm-12">
    {!! Form::label('transaksi_id', 'Transaksi Id:') !!}
    <p>{{ $detailPembayaran->transaksi_id }}</p>
</div>

<!-- Nama Field -->
<div class="col-sm-12">
    {!! Form::label('nama', 'Nama:') !!}
    <p>{{ $detailPembayaran->nama }}</p>
</div>

<!-- Bank Field -->
<div class="col-sm-12">
    {!! Form::label('bank', 'Bank:') !!}
    <p>{{ $detailPembayaran->bank }}</p>
</div>

<!-- Jumlah Field -->
<div class="col-sm-12">
    {!! Form::label('jumlah', 'Jumlah:') !!}
    <p>{{ $detailPembayaran->jumlah }}</p>
</div>

<!-- Tanggal Field -->
<div class="col-sm-12">
    {!! Form::label('tanggal', 'Tanggal:') !!}
    <p>{{ $detailPembayaran->tanggal }}</p>
</div>

<!-- Bukti Field -->
<div class="col-sm-12">
    {!! Form::label('bukti', 'Bukti:') !!}
    <p>{{ $detailPembayaran->bukti }}</p>
</div>

<!-- Validasi Field -->
<div class="col-sm-12">
    {!! Form::label('validasi', 'Validasi:') !!}
    <p>{{ $detailPembayaran->validasi }}</p>
</div>

resources/views/detail_pembayarans/table.blade.php
<div class="table-responsive">
    <table class="table" id="detailPembayarans-table">
        <thead>
        <tr>
            <th>Transaksi Id</th>
        <th>Nama</th>
        <th>Bank</th>
        <th>Jumlah</th>
        <th>Tanggal</th>
        <th>Bukti</th>
        <th>Validasi</th>
            <th colspan="3">Action</th>
        </tr>
        </thead>
        <tbody>
        @foreach($detailPembayarans as $detailPembayaran)
            <tr>
                <td>{{ $detailPembayaran->transaksi_id }}</td>
            <td>{{ $detailPembayaran->nama }}</td>
            <td>{{ $detailPembayaran->bank }}</td>
            <td>{{ $detailPembayaran->jumlah }}</td>
            <td>{{ $detailPembayaran->tanggal }}</td>
            <td>{{ $detailPembayaran->bukti }}</td>
            <td>{{ $detailPembayaran->validasi }}</td>
                <td width="120">
                    {!! Form::open(['route' => ['detailPembayarans.destroy', $detailPembayaran->id], 'method' => 'delete']) !!}
                    <div class='btn-group'>
                        <a href="{{ route('detailPembayarans.show', [$detailPembayaran->id]) }}"
                           class='btn btn-default btn-xs'>
                            <i class="far fa-eye"></i>
                        </a>
                        <a href="{{ route('detailPembayarans.edit', [$detailPembayaran->id]) }}"
                           class='btn btn-default btn-xs'>
                            <i class="far fa-edit"></i>
                        </a>
                        {!! Form::button('<i class="far fa-trash-alt"></i>', ['type' => 'submit', 'class' => 'btn btn-danger btn-xs', 'onclick' => "return confirm('Are you sure?')"]) !!}
                    </div>
                    {!! Form::close() !!}
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
</div>